PETSc version 3.15.5
Fix/Edit manual page

# VecShift

Shifts all of the components of a vector by computing x[i] = x[i] + shift.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecShift(Vec v,PetscScalar shift)

Logically Collective on Vec

### Input Parameters

| v | - the vector
| shift | - the shift

### Output Parameter

| v | - the shifted vector

### Level

intermediate

### Location

src/vec/vec/utils/vinv.c

### Examples

src/ksp/ksp/tutorials/ex59.c.html
src/tao/unconstrained/tutorials/minsurf2.c.html
src/tao/unconstrained/tutorials/spectraladjointassimilation.c.html
src/tao/constrained/tutorials/tomographyADMM.c.html
src/tao/bound/tutorials/plate2.c.html
src/tao/bound/tutorials/plate2f.F90.html
src/tao/pde_constrained/tutorials/elliptic.c.html
src/tao/pde_constrained/tutorials/parabolic.c.html
src/tao/pde_constrained/tutorials/hyperbolic.c.html
src/tao/tutorials/ex4.c.html

### Implementations

VecShift_SeqKokkos in src/vec/vec/impls/seq/kokkos/veckok.kokkos.cxx
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages